<?php



namespace WpieApp\Core\Admin;

use WpieApp\Core\Resource\Resource;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Logger\AutoLogger;
use WpieApp\Core\Upgrade\Upgrade;
use WpieApp\Core\Support\Support;

defined( 'WPIE__FILE__' ) || exit;


class Admin {

        
        public static function preInit() {

                // Nothing to do if plugin already Initialized
                if ( \did_action( 'Wpie/Admin/preInit' ) > 0 ) {
                        return false;
                }

                //Init Plugin Resource
                Resource::init();

                //init Plugin configuration
                Constants::init();

                Plugins::deactivate();

                //Run Plugin Installer
                Installer::init();

                //Run Plugin Uninstaller
                Uninstaller::init();

                
                \do_action( 'Wpie/Admin/preInit' );

                return true;
        }

        
        public static function requirementCheck() {
                return Requirement::check();
        }

        
        public static function init() {

                // Nothing to do if plugin already Initialized
                if ( \did_action( 'Wpie/Admin/Init' ) > 0 ) {
                        return;
                }

                //init Logger
                AutoLogger::init();

                //Secure Upload Directory
                SecureUploadDir::init();

                //Run Plugin Installer
                Installer::install();

                //add Plugin Support
                Support::init();

                //Upgrade Plugin
                Upgrade::init();

                if ( !Helper::isAjax() ) {
                        //Run Plugin Installer
                        PluginAttr::init();
                }

                
                \do_action( 'Wpie/Admin/Init' );
        }
}
