<?php



namespace WpieApp\Core\Admin;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Constants {

        
        public static $version = '6.0.4';

        
        public static $dbVersion = '1';

        
        public static function init() {

                self::define( 'WPIE_PRO', true );
                self::define( 'WPIE_WC_ONLY', true );
                self::define( 'WPIE_VERSION', self::$version );
                self::define( 'WPIE_DB_VERSION', self::$dbVersion );
                
                self::define( 'WPIE_BASENAME', \plugin_basename( WPIE__FILE__ ) );

                self::define( 'WPIE_PLUGIN_DIR', \plugin_dir_path( WPIE__FILE__ ) );
                self::define( 'WPIE_APP_DIR', WPIE_PLUGIN_DIR . 'WpieApp' );
                self::define( 'WPIE_MODULES_DIR', WPIE_APP_DIR . DIRECTORY_SEPARATOR . 'Modules' );
                self::define( 'WPIE_EXTENSIONS_DIR', WPIE_APP_DIR . DIRECTORY_SEPARATOR . 'Extensions' );

                self::define( 'WPIE_URL', \plugin_dir_url( WPIE__FILE__ ) );
                self::define( 'WPIE_APP_URL', WPIE_URL . 'WpieApp' );
                self::define( 'WPIE_MODULES_URL', WPIE_APP_URL . '/Modules' );
                self::define( 'WPIE_ASSETS_URL', WPIE_URL . 'assets' );
                self::define( 'WPIE_EXTENSIONS_URL', WPIE_APP_URL . '/Extensions' );
                self::define( 'WPIE_DOC_URL', 'https://plugins.vjinfotech.com/wordpress-import-export/documentation/' );
                self::define( 'WPIE_FAQ_URL', 'https://plugins.vjinfotech.com/wordpress-import-export/article-categories/faq/' );
                self::define( 'WPIE_SUPPORT_URL', 'https://www.vjinfotech.com/support' );
                self::define( 'WPIE_API_URL', 'http://api.vjinfotech.com/' );
                self::define( 'WPIE_PRO_URL', 'https://1.envato.market/1krom' );

                //upload directories
                $wpupload_dir = \wp_upload_dir();

                $baseurl = isset( $wpupload_dir[ 'baseurl' ] ) ? $wpupload_dir[ 'baseurl' ] : '';
                self::define( 'WPIE_UPLOAD_DIR_URL', $baseurl . '/wp-import-export' );

                $base_dir = isset( $wpupload_dir[ 'basedir' ] ) ? $wpupload_dir[ 'basedir' ] : '';
                
                self::define( 'WPIE_UPLOAD_BASE_DIR', $base_dir  );
                self::define( 'WPIE_UPLOAD_DIR', WPIE_UPLOAD_BASE_DIR . DIRECTORY_SEPARATOR . 'wp-import-export' );
                self::define( 'WPIE_UPLOAD_EXPORT_DIR', WPIE_UPLOAD_DIR . DIRECTORY_SEPARATOR . 'export' );
                self::define( 'WPIE_UPLOAD_IMPORT_DIR', WPIE_UPLOAD_DIR . DIRECTORY_SEPARATOR . 'import' );
                self::define( 'WPIE_UPLOAD_TEMP_DIR', WPIE_UPLOAD_DIR . DIRECTORY_SEPARATOR . 'temp' );
                self::define( 'WPIE_UPLOAD_FILE_DIR', WPIE_UPLOAD_DIR . DIRECTORY_SEPARATOR . 'files' );
                self::define( 'WPIE_LOG_DIR', WPIE_UPLOAD_DIR . DIRECTORY_SEPARATOR . 'logs' );
        }

        
        public static function define( $name = "", $value = true ) {

                if ( Helper::isEmptyStr( $name ) || defined( $name ) ) {
                        return false;
                }

                return define( $name, $value );
        }
}
