<?php



namespace WpieApp\Core\Admin;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Plugins {

        
        const PRO = 'vj-wp-import-export/vj-wp-import-export.php';

        
        const WOO = 'woo-import-export/woo-import-export.php';

        
        const LITE = 'wp-import-export-lite/wp-import-export-lite.php';

        
        private static $messages = [];

        
        private static $plugins = [];

        
        public static function deactivate() {

                self::$plugins = [];

                // Auto-deactivate plugin.
                \add_action( 'admin_init', [ __CLASS__, 'init' ] );
        }

        
        public static function init() {

                if ( self::managePro() ) {
                        
                } elseif ( self::manageWoo() ) {
                        
                }

                if ( !Helper::isNonEmptyArray( self::$plugins ) ) {
                        return;
                }

                // Auto-deactivate plugin.
                self::deactivatePlugins();

                \add_action( 'admin_notices', [ __CLASS__, 'error' ] );
        }

        
        public static function managePro() {

                if ( !\is_plugin_active( self::PRO ) ) {
                        return false;
                }
                if ( \is_plugin_active( self::WOO ) ) {
                        self::$plugins[]  = self::WOO;
                        self::$messages[] = esc_html__( 'As the WP Import Export Premium version is active, Woo Import Export has been deactivated', 'wp-import-export' );
                }
                if ( \is_plugin_active( self::LITE ) ) {
                        self::$plugins[]  = self::LITE;
                        self::$messages[] = esc_html__( 'As the WP Import Export Premium version is active, WP Import Export Lite has been deactivated', 'wp-import-export' );
                }
                return true;
        }

        
        public static function manageWoo() {

                if ( !\is_plugin_active( self::WOO ) ) {
                        return false;
                }

                if ( \is_plugin_active( self::LITE ) ) {
                        self::$plugins[]  = self::LITE;
                        self::$messages[] = esc_html__( 'As the Woo Import Export Premium version is active, WP Import Export Lite has been deactivated', 'wp-import-export' );
                }
                return true;
        }

        
        public static function error() {

                /* translators: %s: Error messages */
                echo \wp_kses_post( sprintf( '<div class="notice notice-error">%s</div>', \wpautop( join( '<br />', self::$messages ) ) ) );
        }

        
        public static function deactivatePlugins() {

                \deactivate_plugins( self::$plugins );

                if ( isset( $_GET[ 'activate' ] ) ) {
                        unset( $_GET[ 'activate' ] );
                }
        }
}
