<?php

defined( 'WPIE__FILE__' ) || exit;

if ( !function_exists( "wp_timezone_string" ) ) {

        
        function wp_timezone_string() {
                $timezone_string = get_option( 'timezone_string' );

                if ( $timezone_string ) {
                        return $timezone_string;
                }

                $offset  = ( float ) get_option( 'gmt_offset' );
                $hours   = ( int ) $offset;
                $minutes = ( $offset - $hours );

                $sign      = ( $offset < 0 ) ? '-' : '+';
                $abs_hour  = abs( $hours );
                $abs_mins  = abs( $minutes * 60 );
                $tz_offset = sprintf( '%s%02d:%02d', $sign, $abs_hour, $abs_mins );

                return $tz_offset;
        }

}
