<?php



namespace WpieApp\Core\Upgrade;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Legacy {

        
        public static function upgrade() {

                if ( false === Helper::getOption( 'plugin_version' ) ) {
                        return;
                }

                self::removeOptions();

                self::removeSchedules();
        }

        
        private static function removeOptions() {

                Helper::deleteOption( 'plugin_version' );

                // Delete all user meta related to plugin
                \delete_metadata( 'user', '', 'dismissed_wpie_file_security_notice', '', true );
        }

        
        private static function removeSchedules() {

                //remove schedule import / exprot
                \wp_clear_scheduled_hook( "wpie_cron_schedule_import" );
                \wp_clear_scheduled_hook( "wpie_cron_schedule_export" );
        }
}
