<?php



namespace WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\User\Fields;

use WpieApp\Modules\Export\Controller\Items\User\Fields\Meta as BaseMeta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Seo implements InterfaceField {

        
        public static function get() {



                $fields = [
                        "title"    => \esc_html__( "All In One SEO", 'wp-import-export' ),
                        "priority" => 28,
                        "pro"      => true,
                        "data"     => self::getFields()
                ];

                
                return \apply_filters( 'Wpie/Export/User/Fields/AllInOneSeo', $fields );
        }

        
        private static function getFields() {

                if ( \version_compare( AIOSEO_VERSION, '4.2.2', '<' ) ) {
                        return self::getLagacyFields();
                }

                return [
                        [ 'label' => 'SEO Facebook Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_facebook_page_url' ],
                        [ 'label' => 'SEO Twitter Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_twitter_url' ],
                        [ 'label' => 'SEO Instagram Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_instagram_url' ],
                        [ 'label' => 'SEO TikTok URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_tiktok_url' ],
                        [ 'label' => 'SEO Pinterest Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_pinterest_url' ],
                        [ 'label' => 'SEO Youtube Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_youtube_url' ],
                        [ 'label' => 'SEO Linkedin Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_linkedin_url' ],
                        [ 'label' => 'SEO Tumblr Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_tumblr_url' ],
                        [ 'label' => 'SEO Yelp Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_yelp_page_url' ],
                        [ 'label' => 'SEO Soundcloud Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_sound_cloud_url' ],
                        [ 'label' => 'SEO Wikipedia Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_wikipedia_url' ],
                        [ 'label' => 'SEO Myspace Profile URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_myspace_url' ],
                        [ 'label' => 'SEO WordPress URL', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_word_press_url' ],
                        [ 'label' => 'SEO Settings', 'type' => BaseMeta::FIELD_TYPE, 'element' => '_aioseo_settings' ],
                        [ 'label' => 'SEO Same Profile Username', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_profiles_same_username' ],
                        [ 'label' => 'SEO Additional Profile URLs', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_profiles_additional_urls' ],
                ];
        }

        
        private static function getLagacyFields() {

                return [
                        [ 'label' => 'SEO Facebook', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_facebook' ],
                        [ 'label' => 'SEO Twitter', 'type' => BaseMeta::FIELD_TYPE, 'element' => 'aioseo_twitter' ],
                ];
        }
}
