<?php



namespace WpieApp\Extensions\Export\Polylang\Controller\Items\Base;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\Polylang\Controller\Languages;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        public static function addQuery( $query = [] ) {

                $query[ 'lang' ] = static::getLanguages();

                return $query;
        }

        
        public static function getLanguages() {

                $languages = Settings::getOption( 'polylang/languages' );

                if ( !Helper::isNonEmptyArray( $languages ) ) {
                        return '';
                }

                $languages = array_values( array_filter( $languages ) );

                $allLang = array_filter( array_keys( Languages::get() ) );
                
    
                if ( !Helper::isNonEmptyArray( array_diff( $allLang, $languages ) ) ) {
                        return '';
                }

                return Helper::arrTostr( $languages );
        }

}
