<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\User\DataCenters;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Redirect {

        
        private static $data = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $key = Helper::leftTrim( $element, 'redirect-' );

                self::setData();

                $userId = DataCenter::getId();

                return isset( self::$data[ $userId ]->$key ) ? self::$data[ $userId ]->$key : "";
        }

        
        private static function setData() {

                $userId = DataCenter::getId();

                if ( isset( self::$data[ $userId ] ) ) {
                        return;
                }

                self::$data = [ $userId => self::getRedirects() ];
        }

        
        private static function getRedirects() {

                $userId = DataCenter::getId();

                $data = DB::wpdb()->get_row( DB::wpdb()->prepare( "select `status`,`url_to`,`header_code` from " . DB::table( 'rank_math_redirections' ) . " Where `id` IN ( select `redirection_id` from " . DB::table( 'rank_math_redirections_cache' ) . " Where `object_id` = %d AND `object_type` = 'user') limit 0,1 ", $userId ) );

                if ( Helper::isEmpty( $data ) ) {
                        return [];
                }
                return $data;
        }

}
