<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Standard as PostStandard;

defined( 'WPIE__FILE__' ) || exit;


class Other implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => esc_html__( "Other", 'wp-import-export' ),
                        "priority" => 999,
                        "data"     => [
                                [ 'label' => 'Status', 'type' => PostStandard::FIELD_TYPE, 'element' => 'post_status' ],
                                [ 'label' => 'Slug', 'type' => PostStandard::FIELD_TYPE, 'element' => 'post_name' ],
                                [ 'label' => 'Date', 'type' => PostStandard::FIELD_TYPE, 'element' => 'post_date', 'isDate' => true ],
                                [ 'label' => 'Post Type', 'type' => PostStandard::FIELD_TYPE, 'element' => 'post_type' ],
                                [ 'label' => 'Permalink', 'type' => PostStandard::FIELD_TYPE, 'element' => 'guid' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Coupon/Fields/Other', $fields, Settings::getContentType() );
        }

}
