<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\User\Engine as UserEngine;
use WpieApp\Modules\Export\Controller\Items\User\Filter;
use WpieApp\Modules\Export\Controller\Items\User\Filters\Meta;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends UserEngine {

        
        public static function addWhereJoin( $data = "" ) {

                $where = self::addCustomerQuery();

                self::$join = Filter::getJoin();

                $data = parent::addWhereJoin( $data );

                if ( is_array( $data ) && isset( $data[ 'where' ] ) ) {
                        $data[ 'where' ] .= $where;
                } elseif ( is_object( $data ) && isset( $data->query_where ) ) {
                        $data->query_where .= $where;
                }

                return \apply_filters( 'Wpie/Export/Customer/Filter/WhereJoin', $data );
        }

        
        public static function addCustomerQuery() {

                Meta::addJoinQuery();

                $tableAlias = Meta::getTableAlias();

                $customerQuery = " SELECT DISTINCT `meta_value` FROM " . DB::wpdb()->postmeta . " WHERE `meta_key` = '_customer_user' AND `meta_value` REGEXP '^[0-9]+$' AND `meta_value` > 0 ";

                $roleQuery = " OR " . $tableAlias . ".`meta_key` = '" . DB::prefix() . "capabilities' AND " . $tableAlias . ".`meta_value` Like '%customer%' ";

                return " AND ( " . DB::wpdb()->users . ".`ID` IN (" . $customerQuery . " ) " . $roleQuery . " ) ";
        }

}
