<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Fees implements InterfaceField {

        
        const FIELD_TYPE = "fees";

        
        public static function get() {

                $fields = [
                        "title"      => \esc_html__( "Fees", 'wp-import-export' ),
                        "priority"   => 110,
                        'isFiltered' => false,
                        "data"       => [
                                [ 'label' => 'Fee Name', 'type' => self::FIELD_TYPE, 'element' => 'name' ],
                                [ 'label' => 'Fee Amount', 'type' => self::FIELD_TYPE, 'element' => 'amount' ],
                                //  [ 'label' => 'Fee Total', 'type' => self::FIELD_TYPE, 'element' => 'total' ],
                                [ 'label' => 'Fee Taxes', 'type' => self::FIELD_TYPE, 'element' => 'tax' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Fees', $fields, Settings::getContentType() );
        }

}
