<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard;

use WpieApp\Modules\Export\Controller\Items\Base\Filters\Base;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Customer;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Taxonomy;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Item;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\ProductMeta;

defined( 'WPIE__FILE__' ) || exit;


class Filter extends Base {

        
        public static function addRule() {
                
                switch ( self::getOption( "type", "field" ) ) {

                        case 'standard':
                                Standard::addRule();
                                break;
                        case 'customer':
                                Customer::addRule();
                                break;
                        case 'product-taxonomy':
                        case 'attribute':
                                Taxonomy::addRule();
                                break;
                        case 'item':
                                Item::addRule();
                                break;
                        case 'product-meta':
                                ProductMeta::addRule();
                                break;
                }

                
                \do_action( 'Wpie/Export/WooCommerce/Order/Filter/Add', self::getOption( "type", "field" ) );
        }

}
