<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters;


use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filter;
defined( 'WPIE__FILE__' ) || exit;


class Standard extends BaseTable {

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( 'status' == $element ) {
                        self::updateStatus();
                }

                parent::addRule();
        }

        
        public static function updateStatus() {

                $data = Filter::getOption( 'value' );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return;
                }

                $condition = Filter::getOption( 'condition' );

                $statuses = \wc_get_order_statuses();

                $prefix = 'wc-';

                if ( !in_array( $condition, [ 'in', 'not_in' ] ) ) {

                        $temp = Helper::sanitizeKey( $data );

                        $temp = $prefix === substr( $temp, 0, 3 ) ? $temp : $prefix . $temp;

                        if ( isset( $statuses[ $temp ] ) ) {
                                Filter::setOption( 'value', $temp );
                                return;
                        }

                        $temp = \sanitize_title( $data );

                        $temp = $prefix === substr( $temp, 0, 3 ) ? $temp : $prefix . $temp;

                        if ( isset( $statuses[ $temp ] ) ) {
                                Filter::setOption( 'value', $temp );
                        }

                        return;
                }

                $newStatus = [];

                $statusList = Helper::strToArr( $data );

                foreach ( $statusList as $status ) {

                        if ( !Helper::isNonEmptyStr( $status ) ) {
                                continue;
                        }

                        $temp = Helper::sanitizeKey( $status );

                        $temp = $prefix === substr( $temp, 0, 3 ) ? $temp : $prefix . $temp;

                        if ( isset( $statuses[ $temp ] ) ) {
                                $newStatus[] = $temp;
                                continue;
                        }

                        $temp = \sanitize_title( $status );

                        $temp = $prefix === substr( $temp, 0, 3 ) ? $temp : $prefix . $temp;

                        if ( isset( $statuses[ $temp ] ) ) {
                                $newStatus[] = $temp;
                                continue;
                        }

                        $newStatus[] = $status;
                }

                Filter::setOption( 'value', Helper::arrTostr( $newStatus ) );
        }
}
