<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Query\Addresses;

defined( 'WPIE__FILE__' ) || exit;


class AddressesTable extends BaseFilter {
        
         
        protected static $isJoinQueryAdded = false;

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $addressType = Helper::contains( $element, 'shipping' ) ? 'shipping' : 'billing';

                $field = Addresses::getTableAlias() . "." . Helper::leftTrim( $element, $addressType . '_' );

                $comparison = Filter::getOption( 'comparison' );

                $typeQuery = "AND " . Addresses::getTableAlias() . ".`address_type` = '" . $addressType . "'";

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                Filter::addWhere( $rule . " " . $typeQuery );

                self::addJoinQuery();
        }

        
        public static function addJoinQuery() {

                if ( self::$isJoinQueryAdded ) {
                        return;
                }

                self::$isJoinQueryAdded = true;

                Filter::addJoin( Addresses::getJoin() );
        }

}
