<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product;

use WpieApp\Modules\Export\Controller\Items\Post\DataCenter as PostDataCenter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters\Attribute;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters\Meta;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters\Image;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters\Taxonomy;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters\Standard;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends PostDataCenter {

        
        protected static function processData() {

                $type = self::getFieldOption( "type" );

                $data = "";

                if ( 'standard' === $type ) {
                        $data = Standard::getField();
                } elseif ( 'attribute' === $type ) {
                        $data = Attribute::getField();
                } elseif ( 'meta' === $type ) {
                        $data = Meta::getField();
                } elseif ( 'image' === $type ) {
                        $data = Image::getField();
                } elseif ( 'taxonomy' === $type ) {
                        $data = Taxonomy::getField();
                } else {
                        $data = parent::processData();
                }


                
                return \apply_filters( 'Wpie/Export/Product/Data', $data, $type );
        }

}
