<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Post;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\Filter AS PostFilter;
use WpieApp\Extensions\Export\Wpml\Controller\Languages;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Base\Filter as BaseFilter;

defined( 'WPIE__FILE__' ) || exit;


class Filter extends BaseFilter {

        
        public static function addWhere() {

                $elementType = 'post_' . Settings::getContentType();

                $rule = DB::wpdb()->prepare( "  " . self::getTableAlias() . ".`element_type` = %s AND " . self::getTableAlias() . ".`language_code` IN (" . self::getLanguages() . ") ", $elementType );

                PostFilter::addWhere( $rule, 'AND' );
        }

        
        public static function addJoin() {

                PostFilter::addJoin( ' LEFT JOIN ' . DB::table( 'icl_translations' ) . '  AS ' . self::getTableAlias() . " ON (" . DB::wpdb()->posts . '.`ID` = ' . self::getTableAlias() . ".`element_id` )" );
        }

        
        public static function removeWpmlFilters() {

                global $wpml_query_filter;

                \remove_filter( 'posts_join', [ $wpml_query_filter, 'posts_join_filter' ], 10 );

                \remove_filter( 'posts_where', [ $wpml_query_filter, 'posts_where_filter' ], 10 );

                parent::removeWpmlFilters();
        }
}
