<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Taxonomy;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Filter AS TaxonomyFilter;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Base\Filter as BaseFilter;

defined( 'WPIE__FILE__' ) || exit;


class Filter extends BaseFilter {

        
        public static function addWhere() {

                if ( self::addAttributeWhere() ) {
                        return;
                }

                $elementType = 'tax_' . Settings::getContentType();

                $rule = DB::wpdb()->prepare( "  " . self::getTableAlias() . ".`element_type` = %s AND " . self::getTableAlias() . ".`language_code` IN (" . self::getLanguages() . ") ", $elementType );

                TaxonomyFilter::addWhere( $rule, 'AND' );
        }

        
        public static function addAttributeWhere() {

                if ( 'attribute' !== Settings::get( 'content_type' ) || 'wc' !== Settings::get( 'category' ) ) {
                        return false;
                }

                if ( !Helper::isNonEmptyArray( Settings::getOption( 'wc/attribute/data' ) ) ) {
                        return true;
                }

                $attributes = array_map( function ( $element ) {
                        return 'tax_' . $element;
                }, Settings::getOption( 'wc/attribute/data' ) );

                $elementTypes = DB::prepareData( $attributes );

                $rule = "  " . self::getTableAlias() . ".`element_type` IN (" . $elementTypes . ")  AND " . self::getTableAlias() . ".`language_code` IN (" . self::getLanguages() . ") ";

                TaxonomyFilter::addWhere( $rule, 'AND' );

                return true;
        }

        
        public static function addJoin() {

                TaxonomyFilter::addJoin( ' LEFT JOIN ' . DB::table( 'icl_translations' ) . '  AS ' . self::getTableAlias() . ' ON ( `t`.`term_id` = ' . self::getTableAlias() . '.`element_id` )' );
        }
}
