<?php



namespace WpieApp\Extensions\Export\Wpml\View;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Export\Wpml\Controller\Languages;

defined( 'WPIE__FILE__' ) || exit;


class Wpml {

        
        private static $cache = [];

        
        public static function get() {

                $languages = array_merge( [ '' => __( 'All', 'wp-import-export' ) ], Languages::get() );

                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Setup/Wpml',
                        [
                                "title"        => __( 'Wpml', 'wp-import-export' ),
                                "desc"         => __( 'Manage Translation', 'wp-import-export' ),
                                "menuClass"    => 'wpie-wpml-menu',
                                "order"        => 15,
                                "pro-backdrop" => WPIE_PRO ? false : true,
                                "fields"       => [
                                        "languages" => [
                                                "order"      => 20,
                                                "label"      => __( 'Language Translation', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "variable-product" => [
                                                                "description" => __( 'Languages List. Default All', 'wp-import-export' ),
                                                                "class"       => "wpie-wpml-languages-option",
                                                                "type"        => "checkbox",
                                                                "name"        => "wpml/languages",
                                                                "default"     => array_keys( $languages ),
                                                                "choices"     => $languages,
                                                                "preHtml"     => self::getFlagList()
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

        
        private static function getFlagList() {

                global $sitepress;

                $languages = Languages::getList();

                $flags = [];

                foreach ( array_keys( $languages ) as $slug ) {
                        /* translators: %s: Image URL */
                        $flags[ $slug ] = sprintf( '<img class="wpie-wpml-flag-image me-2" src="%s"/>', esc_url( $sitepress->get_flag_url( $slug ) ) );
                }

                return $flags;
        }
}
