<?php



namespace WpieApp\Extensions\Export\YoastSeo\Controller\Items\Post\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Seo {

        
        private static $data = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $key = Helper::leftTrim( $element, 'robots-' );

                self::setData();

                $postId = DataCenter::getId();

                $data = in_array( $key, self::$data[ $postId ] ) ? "1" : "0";

                
                return \apply_filters( 'Wpie/Export/Post/YoastSeo/Data', $data, $element, Settings::getContentType() );
        }

        
        private static function setData() {

                $postId = DataCenter::getId();

                if ( isset( self::$data[ $postId ] ) ) {
                        return;
                }

                self::$data = [ $postId => self::getRobots() ];
        }

        
        private static function getRobots() {

                $postId = DataCenter::getId();

                $robotMeta = \get_post_meta( $postId, '_yoast_wpseo_meta-robots-adv', true );

                return Helper::isNonEmptyStr( $robotMeta ) ? Helper::strToArr( $robotMeta ) : [];
        }

}
