<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\Relational\AdvancedLink;
use WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\Relational\Post;
use WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\Relational\Term;
use WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\Relational\User;

defined( 'WPIE__FILE__' ) || exit;


class Relational extends Base {

        
        protected static $fieldTypes = [ 'acfe_advanced_link', 'link', 'page_link', 'post_object', 'relationship', 'taxonomy', 'acfe_taxonomy_terms', 'user' ];

        
        public static function getData() {

                switch ( static::$fieldType ) {

                        case 'acfe_advanced_link':
                                static::$data = Helper::jsonDecode( static::$data, true );
                                static::$data = AdvancedLink::getData( static::$data );
                                break;

                        case 'user':
                                static::$data = User::getData( static::$data, static::$field, static::$key );
                                break;

                        case 'link':
                                static::$data = Helper::jsonDecode( static::$data, true );
                                break;

                        case 'page_link':
                        case 'post_object':
                        case 'relationship':
                                static::$data = Helper::jsonDecode( static::$data, true );
                                static::$data = Post::getData( static::$data );
                                break;
                        
                        case 'acfe_taxonomy_terms':
                        case 'taxonomy':
                                static::$data = Helper::jsonDecode( static::$data, true );
                                static::$data = Term::getData( static::$data );
                                break;
                }


                return parent::getData();
        }
}
