<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class AcfFields extends Choice {

        
        protected static $fieldTypes = [ 'acfe_block_types', 'acfe_field_groups', 'acfe_field_types', 'acfe_fields', 'acfe_forms', 'acfe_options_pages', 'acfe_templates' ];

        
        public static function getField( $field = [], $order = 5 ) {

                $fieldType = isset( $field[ 'field_type' ] ) ? $field[ 'field_type' ] : "";

                if ( !in_array( $fieldType, [ 'select', 'checkbox' ] ) ) {
                        return parent::getField( $field, $order );
                }

                $key = isset( $field[ 'key' ] ) ? $field[ 'key' ] : "";

                $label = isset( $field[ 'label' ] ) ? $field[ 'label' ] : "";

                return [
                        "title"    => $label,
                        "desc"     => $label,
                        "order"    => $order,
                        "isActive" => 5 === $order,
                        "fields"   => [
                                "field" => [
                                        "order"      => 5,
                                        "label"      => $label,
                                        "sub-fields" => [
                                                "field"     => [
                                                        "description" => $label,
                                                        "name"        => "fields/acf/" . $key . "/data",
                                                        "type"        => "textarea",
                                                        "hint"        => static::getHints( $fieldType )
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple urls Separator', 'wp-import-export' ),
                                                        "name"        => "fields/acf/" . $key . "/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : ||', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Multiple values are separated by', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
