<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook;

defined( 'WPIE__FILE__' ) || exit;


class ObjectType {

        
        public static function getBlocks() {

                $choices = \array_combine( self::getObjectType(), \array_map( [ __CLASS__, "getLabel" ], self::getObjectType() ) );

                $choices[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"  => __( 'Object Type', 'wp-import-export' ),
                        "desc"   => __( 'Facebook Object Type', 'wp-import-export' ),
                        "order"  => 50,
                        "fields" => [
                                "object_type" => [
                                        "order"      => 5,
                                        "label"      => __( 'Object Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "object_type" => [
                                                        "description"   => __( "SEO Facebook Object Type", 'wp-import-export' ),
                                                        "name"          => "fields/allinoneseo/facebook/object_type/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => $choices,
                                                        "choices-class" => [
                                                                "default"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "object_type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "object_type" => [
                                                                                                "name"  => "fields/allinoneseo/facebook/object_type/data_as_specified",
                                                                                                "class" => "",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default: default', 'wp-import-export' ) ],
                                                                                                        /* translators: %s: Object Type */
                                                                                                        [ 'text' => sprintf( __( '%s all values are supported', 'wp-import-export' ), \implode( ", ", self::getObjectType() ) ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

        
        protected static function getLabel( $str ) {

                return ucwords( trim( str_replace( "_", " ", $str ) ) );
        }

        
        public static function getObjectType() {

                return [
                        "default", "activity", "sport", "bar", "company", "cafe", "hotel", "restaurant", "cause", "sports_league", "sports_team",
                        "band", "non_profit", "school", "university", "actor", "athlete", "author", "director", "musician",
                        "politician", "profile", "public_figure", "city", "country", "landmark", "state_province", "album", "book",
                        "drink", "food", "game", "movie", "product", "song", "tv_show", "episode", "article", "website",
                ];
        }
}
