<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Term;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect {

        
        public static function processField( $field = '' ) {

                static::updateGeneral( $field );
                static::updateFacebook( $field );
                static::updateTwitter( $field );
                static::updateSchema( $field );
                static::updateRedirect( $field );
                static::updateAdvanced( $field );
        }

        
        protected static function updateGeneral( $field = "" ) {

                $fields = [
                        'seotitle'              => 'title',
                        'seometadescription'    => 'description',
                        'seocornerstonecontent' => 'pillar_content',
                        'seofocuskeyphrase'     => 'keyphrases',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                Base::update( 'allinoneseo/general/' . $fields[ $field ], $field );
        }

        
        protected static function updateFacebook( $field = "" ) {

                $fields = [
                        'seofacebooktitle'                => 'title',
                        'seofacebookdescription'          => 'description',
                        'seofacebookimagesource'          => 'image_type',
                        'seofacebookimagecustomfieldname' => 'image_custom_fields',
                        'seofacebookimagecustomurl'       => 'image_custom_url',
                        'seofacebookvideo'                => 'video',
                        'seofacebookobjecttype'           => 'object_type',
                        'seofacebookarticlesection'       => 'article_section',
                        'seofacebookarticletags'          => 'article_tags',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                Base::update( 'allinoneseo/facebook/' . $fields[ $field ], $field );
        }

        
        protected static function updateTwitter( $field = "" ) {

                $fields = [
                        'seotwittertitle'                  => 'title',
                        'seotwitterdescription'            => 'description',
                        'seotwitterimagesource'            => 'image_type',
                        'seotwitterimagecustomurl'         => 'image_custom_url',
                        'seotwitterimagecustomfields'      => 'image_custom_fields',
                        'seotwittercardtype'               => 'card',
                        'seotwitterusedatafromfacebooktab' => 'use_og',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                Base::update( 'allinoneseo/twitter/' . $fields[ $field ], $field );
        }

        
        protected static function updateSchema( $field = "" ) {

                $fields = [
                        'seoschema' => 'schema',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                Base::update( 'allinoneseo/schema/' . $fields[ $field ], $field );
        }

        
        protected static function updateRedirect( $field = "" ) {

                $fields = [
                        'seoredirects' => 'redirection',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                Base::update( 'allinoneseo/redirect/' . $fields[ $field ], $field );
        }

        
        protected static function updateAdvanced( $field = "" ) {

                $fields = [
                        "seorobotsdefault"         => "robots_default",
                        "seorobotsnoindex"         => "noindex",
                        "seorobotsnofollow"        => "nofollow",
                        "seorobotsnoarchive"       => "noarchive",
                        "seorobotsnotranslate"     => "notranslate",
                        "seorobotsnoimageindex"    => "noimageindex",
                        "seorobotsnosnippet"       => "nosnippet",
                        "seorobotsnoodp"           => "noodp",
                        "seorobotsnomaxsnippet"    => "max_snippet",
                        "seorobotsmaxvideopreview" => "max_video_preview",
                        "seorobotsmaximagepreview" => "max_image_preview",
                        "seocanonicalurl"          => "canonical_url",
                        "seopriority"              => "priority",
                        "seofrequency"             => "frequency",
                        "seokeywords"              => "keywords"
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                Base::update( 'allinoneseo/advanced/' . $fields[ $field ], $field );
        }
}
