<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Term\Engines\Meta;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Engines\General;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Engines\Facebook;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Engines\Twitter;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Engines\Advanced;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Engines\Schema;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines\Redirection;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engine as Base;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends Base {

        
        public static function update() {

                Redirection::update( 'term', \get_term_link( DataCenter::getId(), DataCenter::getItem()->taxonomy ) );

                $data = \array_merge(
                        General::get(),
                        Advanced::get(),
                        Schema::get(),
                        Facebook::get(),
                        Twitter::get()
                );

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return;
                }

                foreach ( $data as $key => $val ) {
                        Meta::updateMeta( self::PREFIX . $key, $val );
                }

                unset( $data );
        }

        
        public static function isValid() {

                if ( self::isAttribute() ) {
                        return false;
                }

                return true;
        }

        
        public static function isAttribute() {

                if ( 'wc' !== Settings::get( 'category' ) || 'attribute' !== Settings::get( 'content_type' ) ) {
                        return false;
                }

                return true;
        }
}
