<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\User\Engines\Meta;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Engines\General;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Engines\Facebook;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Engines\Twitter;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Engines\Advanced;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Engines\Profile;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engine as Base;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends Base {

        
        public static function update() {

                self::updateMeta(
                        \array_merge(
                                General::get(),
                                Advanced::get(),
                                Facebook::get(),
                                Twitter::get()
                        ),
                        self::PREFIX
                );

                self::updateMeta(
                        Profile::get()
                );
        }

        
        public static function updateMeta( $data, $prefix = '' ) {

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return;
                }

                foreach ( $data as $key => $val ) {
                        Meta::updateMeta( $prefix . $key, $val );
                }
        }
}
