<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\ContentType;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\ContentType\Base;

defined( 'WPIE__FILE__' ) || exit;


class Customer Extends Base {

        
        protected static $category = 'wc';

        
        protected static $filePrefix = 'customer';

        
        protected static $contentType = 'shop_customer';

        
        protected static $fields = [ 'login', 'password', 'email', 'role', 'capabilities', "firstname", "lastname", "nicename", "displayname", "nickname", "biographicalinfo", "admin_color", "rich_editing", "wp_user_level" ];

        
        protected static $customerFields = [ 'billingfirstname', 'billinglastname', 'billingcompany', 'billingaddress1',
                'billingaddress2', "billingcity", "billingpostcode", "billingcountry", "billingstate", "billingemail",
                "billingphone", "shippingfirstname", "shippinglastname", "shippingcompany", "shippingaddress1", "shippingaddress2",
                'shippingcity', 'shippingpostcode', 'shippingcountry', 'shippingstate', 'shippingphone' ];

        
        public static function processData() {
                if ( Helper::isNonEmptyArray( static::$data ) && array_intersect( array_keys( static::$data ), static::$customerFields ) ) {

                        return true;
                }

                return false;
        }

}
