<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function setDefaults() {
                
        }

        
        protected static function processField( $field = '' ) {

                static::updateStandard( $field );

                static::updateUsage( $field );

                static::updateUsageLimit( $field );

                static::updateUsageRestriction( $field );
        }

        
        protected static function updateStandard( $field = "" ) {

                parent::updateStandard( $field );

                $fields = [
                        'code'              => 'title',
                        'description'       => 'excerpt',
                        'discounttype'      => 'discount-type',
                        'amount'            => 'amount',
                        'allowfreeshipping' => 'allow-free-shipping',
                        'expirydate'        => 'expiry-date',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updateUsage( $field = "" ) {

                $fields = [
                        'usedby'     => 'used_by',
                        'usagecount' => 'usage_count',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'usage/' . $fields[ $field ], $field );
        }

        
        protected static function updateUsageLimit( $field = "" ) {

                $fields = [
                        'usagelimitpercoupon' => 'usage_limit',
                        'limitusagetoxitems'  => 'limit_usage_to_x_items',
                        'usagelimitperuser'   => 'usage_limit_per_user',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'usage_limit/' . $fields[ $field ], $field );
        }

        
        protected static function updateUsageRestriction( $field = "" ) {

                $fields = [
                        'minimumspend'      => 'minimum_amount',
                        'maximumspend'      => 'maximum_amount',
                        'individualuseonly' => 'individual_use',
                        'excludesaleitems'  => 'exclude_sale_items',
                        'products'          => 'products',
                        'excludeproducts'   => 'exclude_products',
                        'productcategories' => 'product_categories',
                        'excludecategories' => 'exclude_product_categories',
                        'allowedemails'     => 'customer_email',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'restriction/' . $fields[ $field ], $field );
        }
}
