<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon;

use WpieApp\Modules\Import\Controller\Items\Post\AutoSearch as BaseAutoSearch;

defined( 'WPIE__FILE__' ) || exit;


class AutoSearch extends BaseAutoSearch {

        
        protected static $fields = [
                'title'   => [ [
                                'key'       => 'standard/title/data',
                                'canUpdate' => 'standard/title',
                        ], [
                                'key'           => '{code}',
                                'isMappingData' => false
                        ],
                ],
                'name'    => [ [
                                'key'       => 'standard/slug/data',
                                'canUpdate' => 'standard/slug',
                        ], [
                                'key'           => '{slug}',
                                'isMappingData' => false
                        ],
                ],
                'excerpt' => [ [
                                'key'       => 'standard/excerpt/data',
                                'canUpdate' => 'standard/excerpt',
                        ], [
                                'key'           => '{description}',
                                'isMappingData' => false
                        ],
                ],
                'id'      => [ [
                                'key'           => 'search/id',
                                'isMappingData' => true,
                                'options'       => [
                                        'is_int'     => true,
                                        'conditions' => [ 'positive_number_only' ]
                                ]
                        ],
                ]
        ];

}
