<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Shipping {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "shipping/first_name" ) ) {
                        $data[ 'shipping_first_name' ] = DataCenter::get( "shipping/first_name/data" );
                }
                if ( DataCenter::canUpdate( "shipping/last_name" ) ) {
                        $data[ 'shipping_last_name' ] = DataCenter::get( "shipping/last_name/data" );
                }
                if ( DataCenter::canUpdate( "shipping/company" ) ) {
                        $data[ 'shipping_company' ] = DataCenter::get( "shipping/company/data" );
                }
                if ( DataCenter::canUpdate( "shipping/address_1" ) ) {
                        $data[ 'shipping_address_1' ] = DataCenter::get( "shipping/address_1/data" );
                }
                if ( DataCenter::canUpdate( "shipping/address_2" ) ) {
                        $data[ 'shipping_address_2' ] = DataCenter::get( "shipping/address_2/data" );
                }
                if ( DataCenter::canUpdate( "shipping/city" ) ) {
                        $data[ 'shipping_city' ] = DataCenter::get( "shipping/city/data" );
                }
                if ( DataCenter::canUpdate( "shipping/postcode" ) ) {
                        $data[ 'shipping_postcode' ] = DataCenter::get( "shipping/postcode/data" );
                }
                if ( DataCenter::canUpdate( "shipping/country" ) ) {
                        $data[ 'shipping_country' ] = DataCenter::get( "shipping/country/data" );
                }
                if ( DataCenter::canUpdate( "shipping/state" ) ) {
                        $data[ 'shipping_state' ] = DataCenter::get( "shipping/state/data" );
                }

                if ( DataCenter::canUpdate( "shipping/phone" ) ) {
                        $data[ 'shipping_phone' ] = DataCenter::get( "shipping/phone/data" );
                }


                return $data;
        }

        
        public static function import() {

                if ( 1 === \absint( DataCenter::get( "shipping/copy_billing" ) ) ) {
                        return self::copyBilling();
                }

                $metas = self::get();

                if ( !Helper::isNonEmptyArray( $metas ) ) {
                        return;
                }

                foreach ( $metas as $key => $data ) {
                        Meta::update( $key, $data );
                }
        }

        
        private static function copyBilling() {

                $metas = [ '_first_name', '_last_name', '_company', '_address_1', '_address_2', '_city', '_postcode', '_country', '_state', '_phone' ];

                foreach ( $metas as $key ) {
                        $data = \get_user_meta( DataCenter::getId(), 'billing' . $key, true );
                        Meta::update( 'shipping' . $key, $data );
                }
        }

        
        public static function getExcludes() {

                return [
                        'shipping_first_name', 'shipping_last_name', 'shipping_company',
                        'shipping_address_1', 'shipping_address_2', 'shipping_city',
                        'shipping_postcode', 'shipping_country', 'shipping_state',
                        'shipping_phone'
                ];
        }
}
