<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items\Tax as TaxItem;

defined( 'WPIE__FILE__' ) || exit;


class Tax extends ItemBase {

        
        protected static $ids = [];

        
        protected static $orderId = 0;

        
        protected static $type = 'tax';

        
        protected static $taxRates;

        
        protected static function parepare() {
                self::parepareData( 'name' );
                self::parepareData( 'code' );
                self::parepareData( 'percent' );
                self::parepareData( 'total' );
        }

        
        protected static function processItem( $index = 0 ) {

                $item = [
                        'label'   => self::getData( 'name', $index ),
                        'code'    => self::getData( 'code', $index ),
                        'percent' => self::getData( 'percent', $index ),
                        'total'   => self::getData( 'total', $index ),
                ];

                if ( !Helper::isNonEmptyStr( $item[ 'code' ] ) && !Helper::isNonEmptyStr( $item[ 'label' ] ) ) {
                        return;
                }

                self::$existing[] = TaxItem::set( $item );
        }

        
        protected static function endProcess() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                if ( 'remove' !== DataCenter::get( static::$type . "/manage-existing/data" ) ) {
                        return;
                }

                $items = DataCenter::getItem()->get_taxes();

                if ( !Helper::isNonEmptyArray( $items ) ) {
                        return;
                }

                foreach ( $items as $item ) {

                        if ( !in_array( $item->get_id(), self::$existing ) ) {
                                DataCenter::getItem()->remove_item( $item->get_id() );
                        }
                }
        }

        
        protected static function setRateIds() {

                if ( self::$orderId === DataCenter::getId() ) {
                        return;
                }

                self::$ids = [];

                $items = DataCenter::getItem()->get_taxes();

                if ( !Helper::isNonEmptyArray( $items ) ) {
                        return;
                }

                foreach ( $items as $item ) {

                        self::$ids[] = $item->get_rate_id();
                }
        }
        
        public static function getRateIds() {

                self::setRateIds();
                
                return self::$ids;
        }
}
