<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class DataAndVisibility {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "data-and-visibility/virtual" ) ) {
                        $virtual           = DataCenter::get( "data-and-visibility/virtual/data" );
                        $data[ 'virtual' ] = (true === Helper::detectBoolVal( $virtual ) ? 'yes' : 'no');
                }
                if ( DataCenter::canUpdate( "data-and-visibility/featured" ) ) {
                        $featured           = DataCenter::get( "data-and-visibility/featured/data" );
                        $data[ 'featured' ] = (true === Helper::detectBoolVal( $featured ) ? 'yes' : 'no');
                }
                if ( DataCenter::canUpdate( "data-and-visibility/visibility" ) ) {
                        $visibilityptions             = array_keys( \wc_get_product_visibility_options() );
                        $visibility                   = DataCenter::get( "data-and-visibility/visibility/data" );
                        $data[ 'catalog_visibility' ] = Helper::autoFixStr( $visibility, $visibilityptions );
                }

                return $data;
        }

}
