<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Stock {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "stock/quantity" ) ) {
                        $data[ 'stock_quantity' ] = Helper::toNumber( DataCenter::get( "stock/quantity/data" ) );
                }
                if ( DataCenter::canUpdate( "stock/status" ) ) {

                        $status = DataCenter::get( "stock/status/data" );

                        $tempStatus = Helper::autoFixStr( $status, [ 'no', 'yes' ] );

                        if ( in_array( $tempStatus, [ 'no', 'yes' ] ) ) {
                                $status = ($tempStatus === 'yes' ? 'instock' : 'outofstock');
                        }

                        $data[ 'stock_status' ] = Helper::autoFixStr( $status, [ 'onbackorder', 'outofstock', 'instock' ] );
                }

                if ( DataCenter::canUpdate( "stock/manage" ) ) {
                        $data[ 'manage_stock' ] = (true === Helper::detectBoolVal( DataCenter::get( "stock/manage/data" ) ) ? 'yes' : 'no');
                }
                if ( DataCenter::canUpdate( "stock/sku" ) ) {
                        $data[ 'sku' ] = DataCenter::get( "stock/sku/data" );
                }
                if ( DataCenter::canUpdate( "stock/gtin" ) ) {
                        $data[ 'global_unique_id' ] = DataCenter::get( "stock/gtin/data" );
                }
                if ( DataCenter::canUpdate( "stock/low-stock-threshold" ) ) {
                        $lowStock                   = DataCenter::get( "stock/low-stock-threshold/data" );
                        $data[ 'low_stock_amount' ] = Helper::isNonEmptyStr( $lowStock ) ? Helper::toNumber( $lowStock ) : '';
                }
                if ( DataCenter::canUpdate( "stock/backorders" ) ) {
                        $backorders           = DataCenter::get( "stock/backorders/data" );
                        $data[ 'backorders' ] = Helper::autoFixStr( $backorders, [ 'yes', 'notify', 'no' ] );
                }

                if ( DataCenter::canUpdate( "stock/sold-individually" ) ) {
                        $soldIndividually            = DataCenter::get( "stock/sold-individually/data" );
                        $data[ 'sold_individually' ] = (true === Helper::detectBoolVal( $soldIndividually ) ? 'yes' : 'no');
                }

                return $data;
        }

}
