<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Shipping\Weight;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Shipping\Dimensions;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Shipping\ShippingClass;

defined( 'WPIE__FILE__' ) || exit;


class Shipping implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/Shipping', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Shipping', 'wp-import-export' ),
                        "class"  => "wpie-wc-shipping-fields",
                        "order"  => 12.09,
                        "blocks" => [
                                "shipping/weight"         => Weight::getBlocks(),
                                "shipping/dimensions"     => Dimensions::getBlocks(),
                                "shipping/shipping-class" => ShippingClass::getBlocks(),
                        ]
                ];
        }

}
