<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Post;

use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engine as BaseEngine;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Post\Engines\Translation;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Filters as TermFilters;
use WpieApp\Modules\Import\Controller\Items\Post\Engines\Taxonomy;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends BaseEngine {

        
        protected static $prefix = 'post_';

        
        public static function preProcessing() {

                Taxonomy::$caching = false;

                parent::preProcessing();

                TermFilters::update( static::$language );
        }

        
        protected static function getTranslation() {
                return Translation::get( static::getType() );
        }

        
        protected static function updateLanguage() {

                parent::updateLanguage();

                TermFilters::update( static::$language );
        }

        
        protected static function getType() {
                return static::$prefix . DataCenter::getItem()->post_type;
        }
}
