<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Term;

use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engine as BaseEngine;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Engines\Translation;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Attribute\Engine as Attribute;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends BaseEngine {

        
        protected static $prefix = 'tax_';

        
        protected static function getTranslation() {
                return Translation::get( static::getType() );
        }

        
        protected static function getType() {
                return static::$prefix . DataCenter::getItem()->taxonomy;
        }

        
        public static function init() {

                if ( !self::isAttributeTranslatable() ) {
                        return;
                }

                parent::init();
        }

        
        public static function isAttributeTranslatable() {

                if ( !Attribute::isAttribute() ) {
                        return true;
                }

                if ( !Attribute::isTranslatable() ) {
                        return true;
                }

                if ( Attribute::updateTranslatable() ) {
                        return true;
                }

                return false;
        }
}
