<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General\Title;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General\Metadesc;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General\FocusKeyphrase;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General\RelatedKeyphrases;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General\KeyphraseSynonyms;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General\IsCornerstone;

defined( 'WPIE__FILE__' ) || exit;


class General implements InterfaceField {

        
        public static function get() {

                return [
                        "label"  => __( 'Yoast SEO - General', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-general-fields",
                        "order"  => 32,
                        "blocks" => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "yoastseo/general/title"             => Title::getBlocks(),
                        "yoastseo/general/metadesc"          => Metadesc::getBlocks(),
                        "yoastseo/general/focuskeywords"     => FocusKeyphrase::getBlocks(),
                        "yoastseo/general/relatedkeyphrases" => RelatedKeyphrases::getBlocks(),
                        "yoastseo/general/keyphrasesynonyms" => KeyphraseSynonyms::getBlocks(),
                        "yoastseo/general/is_cornerstone"    => IsCornerstone::getBlocks(),
                ];
        }
}
