<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Awards {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Awards', 'wp-import-export' ),
                        "desc"   => __( 'Awards', 'wp-import-export' ),
                        "order"  => 25,
                        "fields" => [
                                "awards"         => [
                                        "order"      => 5,
                                        "label"      => __( 'Awards', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "awards" => [
                                                        "description" => __( "SEO Awards", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/schema/awards/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Multiple value support', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'e.g. Most likely to succeed - 1991, Smartest in class - 1990', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-separator" => [
                                        "order"      => 10,
                                        "label"      => __( 'Awards Data separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-separator" => [
                                                        "description" => __( 'Each Awards separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "name"        => "fields/yoastseo/schema/awards/separator",
                                                        "value"       => ",",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Default : comma(,)', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
