<?php



namespace WpieApp\Modules\Debug\Controller;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Ajax {

        
        public static function downloadDebugLog() {

                $file = WP_CONTENT_DIR . DIRECTORY_SEPARATOR . "debug.log";

                Helper::download( $file );
        }

        
        public static function getDebugLog() {

                self::getLog( WP_CONTENT_DIR . DIRECTORY_SEPARATOR . "debug.log" );
        }

        
        public static function getErrorLog() {

                $file = Helper::_post( "file" );

                self::getLog( Helper::pathJoin( WPIE_LOG_DIR, $file ) );
        }

        
        public static function getLog( $file = '' ) {

                if ( !file_exists( $file ) ) {
                        Helper::ajaxSuccess();
                }

                $maxSize = 500 * 1024; // 500KB in bytes

                $fileSize = Helper::getFilesystem()->size( $file );

                if ( $fileSize > $maxSize ) {
                        Helper::ajaxError( __( 'Files exceeding 500KB in size are too large for processing and could potentially crash the browser', 'wp-import-export' ) );
                }

                Helper::ajaxSuccess( \nl2br( Helper::getFilesystem()->get_contents( $file ) ) );
        }

        
        public static function downloadErrorLog() {

                $file = Helper::_post( "file" );

                $path = Helper::isNonEmptyStr( $file ) ? Helper::pathJoin( WPIE_LOG_DIR, $file ) : "";

                Helper::download( $path );
        }

        
        public static function deleteErrorLog() {

                $file = Helper::_post( "file" );

                $path = Helper::isNonEmptyStr( $file ) ? Helper::pathJoin( WPIE_LOG_DIR, $file ) : "";

                Helper::deleteFile( $path );

                Helper::ajaxSuccess();
        }
}
