<?php



namespace WpieApp\Modules\Export\Controller\Items\Base\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Field {

        
        private static $fieldList = [];

        
        private static $labels = [];

        
        private static $customFields = [];

        
        private static $availableFields = [];

        
        public static function init() {

                $fields          = Settings::getOption( 'fields/data' );
                self::$fieldList = Helper::isNonEmptyArray( $fields ) ? $fields : [];

                $customFields       = Settings::getOption( 'fields/custom' );
                self::$customFields = Helper::isNonEmptyArray( $customFields ) ? $customFields : [];

                $availableFields       = Settings::getOption( 'fields/available' );
                self::$availableFields = Helper::isNonEmptyArray( $availableFields ) ? $availableFields : [];
        }

        
        public static function getCustom( $key = "", $field = "" ) {

                $customField = isset( self::$customFields[ $key ] ) ? self::$customFields[ $key ] : [];

                $data = self::get( $field );

                if ( Helper::isNonEmptyArray( $customField ) ) {

                        if ( isset( $customField[ 'element' ] ) ) {
                                unset( $customField[ 'element' ] );
                        }

                        $data = array_replace( $data, $customField );
                }

                $data[ 'fieldKey' ] = $key;

                return $data;
        }

        
        public static function get( $field = "" ) {

                return isset( self::$fieldList[ $field ] ) ? self::$fieldList[ $field ] : [];
        }

        
        public static function getCustomFields() {

                return self::$customFields;
        }

        
        public static function getAll() {

                return self::$availableFields;
        }

        
        public static function hasFields() {

                return Helper::isNonEmptyArray( self::$availableFields );
        }

        
        public static function search( $fieldLabel = "" ) {

                self::setLabels();

                $fieldKey = array_search( $fieldLabel, self::$labels );

                if ( $fieldKey === false ) {
                        return false;
                }

                return self::get( $fieldKey );
        }

        
        private static function setLabels() {

                if ( Helper::isNonEmptyArray( self::$labels ) ) {
                        return;
                }

                foreach ( self::$fieldList as $key => $field ) {

                        $label = isset( $field[ 'label' ] ) ? $field[ 'label' ] : "";

                        self::$labels[ $key ] = $label;
                }
        }
}
