<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment;

use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Base;
use WpieApp\Modules\Export\Controller\Items\Comment\DataCenters\Standard;
use WpieApp\Modules\Export\Controller\Items\Comment\DataCenters\Meta;
use WpieApp\Modules\Export\Controller\Items\Comment\DataCenters\Parents;
use WpieApp\Modules\Export\Controller\Items\Comment\DataCenters\Post;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends Base {

        
        protected static function setItem() {

                self::$item = \get_comment( self::$id );

                if ( !self::$item ) {
                        return false;
                }
                return true;
        }

        
        protected static function processData() {

                $type = self::getFieldOption( "type" );

                $data = "";

                switch ( $type ) {

                        case 'standard':
                                $data = Standard::getField();
                                break;
                        case 'parent':
                                $data = Parents::getField();
                                break;
                        case 'post':
                                $data = Post::getField();
                                break;
                        case 'meta':
                                $data = Meta::getField();
                                break;
                }

                
                return \apply_filters( 'Wpie/Export/Comment/Data', $data, $type );
        }

}
