<?php




namespace WpieApp\Modules\Export\Controller\Items\Post;

use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Base;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Standard;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Author;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Meta;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Taxonomy;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Image;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends Base{

        
        protected static function setItem() {

                self::$item = \get_post( self::$id );

                if ( !self::$item ) {
                        return false;
                }
                return true;
        }

        
        protected static function processData() {

                $type = self::getFieldOption( "type" );

                $data = "";

                switch ( $type ) {

                        case 'standard':
                                $data = Standard::getField();
                                break;
                        case 'user':
                                $data = Author::getField();
                                break;
                        case 'meta':
                                $data = Meta::getField();
                                break;
                        case 'taxonomy':
                                $data = Taxonomy::getField();
                                break;
                        case 'image':
                                $data = Image::getField();
                                break;
                }

                
                return \apply_filters( 'Wpie/Export/Post/Data', $data, $type );
        }

}
