<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Attachment implements InterfaceField {

        
        const FIELD_TYPE = "attachment";

        
        public static function get() {

                $fields = [
                        "title"      => __( "Attachments", 'wp-import-export' ),
                        "priority"   => 40,
                        "isFiltered" => false,
                        "data"       => [
                                [ 'label' => 'Attachment URL', 'type' => self::FIELD_TYPE, 'element' => 'url' ],
                                [ 'label' => 'Attachments Filename', 'type' => self::FIELD_TYPE, 'element' => 'filename' ],
                                [ 'label' => 'Attachments Path', 'type' => self::FIELD_TYPE, 'element' => 'path' ],
                                [ 'label' => 'Attachments ID', 'type' => self::FIELD_TYPE, 'element' => 'id' ],
                                [ 'label' => 'Attachments Title', 'type' => self::FIELD_TYPE, 'element' => 'title' ],
                                [ 'label' => 'Attachments Caption', 'type' => self::FIELD_TYPE, 'element' => 'caption' ],
                                [ 'label' => 'Attachments Description', 'type' => self::FIELD_TYPE, 'element' => 'description' ],
                                [ 'label' => 'Attachments Alt Text', 'type' => self::FIELD_TYPE, 'element' => 'alt' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Post/Fields/Attachment', $fields, Settings::getContentType() );
        }

}
