<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Author implements InterfaceField {

        
        const FIELD_TYPE = "user";

        
        public static function get() {

                $fields = [
                        "title"    => esc_html__( "Author", 'wp-import-export' ),
                        "priority" => 50,
                        "data"     => [
                                [ 'label' => 'Author ID', 'type' => Standard::FIELD_TYPE, 'element' => 'post_author' ],
                                [ 'label' => 'Author Login', 'type' => self::FIELD_TYPE, 'element' => 'user_login' ],
                                [ 'label' => 'Author Nicename', 'type' => self::FIELD_TYPE, 'element' => 'user_nicename', 'isExported' => false ],
                                [ 'label' => 'Author Email', 'type' => self::FIELD_TYPE, 'element' => 'user_email' ],
                                [ 'label' => 'Author Date Registered', 'type' => self::FIELD_TYPE, 'element' => 'user_registered', "isDate" => true, 'isExported' => false ],
                                [ 'label' => 'Author Display Name', 'type' => self::FIELD_TYPE, 'element' => 'display_name', 'isExported' => false ],
                                [ 'label' => 'Author First Name', 'type' => self::FIELD_TYPE, 'element' => 'meta', 'key' => 'first_name' ],
                                [ 'label' => 'Author Last Name', 'type' => self::FIELD_TYPE, 'element' => 'meta', 'key' => 'last_name' ],
                                [ 'label' => 'Author Nickname', 'type' => self::FIELD_TYPE, 'element' => 'nickname', 'isExported' => false ],
                                [ 'label' => 'Author Role', 'type' => self::FIELD_TYPE, 'element' => 'capabilities', 'isCapability' => true, 'isExported' => false ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Post/Fields/Author', $fields, Settings::getContentType() );
        }

}
