<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Other implements InterfaceField {

        
        const FIELD_TYPE = "other";

        
        public static function get() {

                $contentType = Settings::getContentType();

                $fields = [
                        "title"    => esc_html__( "Other", 'wp-import-export' ),
                        "priority" => 9999,
                        "data"     => [
                                [ 'label' => 'Status', 'type' => Standard::FIELD_TYPE, 'element' => 'post_status' ],
                                [ 'label' => 'Format', 'type' => Taxonomy::FIELD_TYPE, 'element' => 'post_format' ],
                                [ 'label' => 'Template', 'type' => Meta::FIELD_TYPE, 'element' => 'wp_page_template' ],
                                [ 'label' => 'Parent id', 'type' => Standard::FIELD_TYPE, 'element' => 'post_parent' ],
                                [ 'label' => 'Parent', 'type' => Standard::FIELD_TYPE, 'element' => 'parent_slug' ],
                                [ 'label' => 'Password', 'type' => Standard::FIELD_TYPE, 'element' => 'post_password' ],
                                [ 'label' => 'Order', 'type' => Standard::FIELD_TYPE, 'element' => 'menu_order' ],
                                [ 'label' => 'Comment Status', 'type' => Standard::FIELD_TYPE, 'element' => 'comment_status' ],
                                [ 'label' => 'Ping Status', 'type' => Standard::FIELD_TYPE, 'element' => 'ping_status' ],
                                [ 'label' => 'Post Modified Date', 'type' => Standard::FIELD_TYPE, 'element' => 'post_modified', "isDate" => true ],
                        ]
                ];

                if ( 'post' === $contentType || \post_type_supports( $contentType, 'sticky' ) ) {
                        $fields[ 'data' ][] = [ 'label' => 'Is sticky', 'type' => Standard::FIELD_TYPE, 'element' => 'sticky_post', "isFiltered" => false ];
                }

                
                return \apply_filters( 'Wpie/Export/Post/Fields/Other', $fields, $contentType );
        }
}
