<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        const FIELD_TYPE = "standard";

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'ID', 'type' => self::FIELD_TYPE, 'element' => 'term_id' ],
                                [ 'label' => 'Name', 'type' => self::FIELD_TYPE, 'element' => 'name' ],
                                [ 'label' => 'Slug', 'type' => self::FIELD_TYPE, 'element' => 'slug' ],
                                [ 'label' => 'Description', 'type' => self::FIELD_TYPE, 'element' => 'description' ],
                                [ 'label' => 'Post Count', 'type' => self::FIELD_TYPE, 'element' => 'count' ],
                                [ 'label' => 'Taxonomy', 'type' => 'text', 'data' => Settings::getContentType(), "isFiltered" => false, ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Fields/Standard', $fields, Settings::getContentType() );
        }

}
