<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\ExistingFile;

use WP_Error;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\File\Downloader\Base\Manager as Filesystem;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends Filesystem {

        
        public static function Download() {

                $file = Settings::getOption( 'uploder/options/path' );

                if ( !Helper::isNonEmptyStr( $file ) ) {
                        return new WP_Error( 'wpieError', __( "File path is empty", 'wp-import-export' ) );
                }

                $source = Helper::pathJoin( WPIE_UPLOAD_TEMP_DIR, $file );

                if ( !file_exists( $source ) ) {
                        return new WP_Error( 'wpieError', __( "File not exists", 'wp-import-export' ) );
                }

                $path = self::setFile( $file );

                if ( !Helper::duplicate( $source, $path ) ) {
                        return new \WP_Error( 'wpie_import_error', __( 'Failed to Copy Downloaded file', 'wp-import-export' ) );
                }

                return $path;
        }
}
