<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\GoogleCloudStorage;

use WP_Error;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use Google\Cloud\Storage\StorageClient;
use League\Flysystem\GoogleCloudStorage\GoogleCloudStorageAdapter;
use WpieApp\Modules\Import\Controller\File\Downloader\Base\Manager as Filesystem;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends Filesystem {

	
	public static function listContents() {

		$isConnect = self::connect();
		if ( is_wp_error( $isConnect ) ) {
			return $isConnect;
		}
		return parent::listContents();
	}

	
	public static function Download() {

		$isConnect = self::connect();
		if ( is_wp_error( $isConnect ) ) {
			return $isConnect;
		}
		return parent::Download();
	}

	
	private static function connect() {

		$projectId = Settings::getOption( 'uploder/options/project-id' );
		if ( !Helper::isNonEmptyStr( $projectId ) ) {
			return new WP_Error( 'wpieError', __( "Google Cloud Storage Project Id is empty", 'wp-import-export' ) );
		}

		$bucketName = Settings::getOption( 'uploder/options/bucket-name' );
		if ( !Helper::isNonEmptyStr( $bucketName ) ) {
			return new WP_Error( 'wpieError', __( "Google Cloud Storage Bucket Name is empty", 'wp-import-export' ) );
		}

		$config = [
			'keyFile'	 => Helper::jsonDecode( '{
  "type": "service_account",
  "project_id": "voltaic-reducer-360104",
  "private_key_id": "29ddec119b4732a6565e2fcbb05247b9e4338739",
  "private_key": "-----BEGIN PRIVATE KEY-----\nMIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQC+S/9EG83KAIDa\nX+y+zqmZ0D31+RTkhG1UKonkYyXYCzT/kvMa1pFMyDtlHJn8/sKu0qw9I25mKXVe\nfCxiKrOLMIUIGmovhhdw1SA0rd+g8uwgqHuL2S2z089LhwujLpsW/wJ4Ac3gTMSr\nY4ZiwPgYzjT/sXiZzXFE1z0dTYCGbb5Hflp1uQLTxZBDX9lpbMvaaDOdV+e/cqFj\n5/xWZjkPrtswiIGaEYv/Fv739B8dsr9+d+hLB2j9i92rMQCVl3CxslYzXpWUCdyQ\nIFQzdJ+d3kYthqm//8kXnD0V1mpYuMSE1hAelF6mUULIASSyADuiQnXDcgUySNIT\nvv3ZwkTVAgMBAAECggEAD1jmufH6G1gGDFafK9ZUBFUwohVYE4QAo0CZBWPfqfhh\nallKJPh4GHavn5x6aNaNEfdor7ebUD74ucmO9M3X1BpyKDClLrcETfPKWKVLO1pM\nI+giqqk1z+J9vewiyqLYHDct1kri9TuLwvzQWkeQ2sNKr/J6tQDGKVSol6PoAS9V\nwxcJ3morGhfQAaK9HvAkzUCdr5/IoUjfM2uqOATskzsnaSBLgKrJ0VWVKvjQNpGK\nTf38x+WetmfdLZqofkko2Ku4j992qfkZC99R1b87g+vVFFUPyG7fTAVfBs/636oQ\nKHM6Zzq3o0y387BtOzRAkUUNEATC5SLqxiwHTeVVswKBgQD5SgMvOFD3f1pundMW\n8VMpKygpO68cTzPlaMhdQNwwtEWTKW/3zG3+ejDtSzF2tlQ6rVRulHTnKbYUS8Mv\nXrX2Dtt3R4hmAgNIi/1JbRAiPdXOOI7WED4YKr80sboppVLZBJIyAgqJWhkrnRmY\nsXItNpikSyyQ3x4SYopa6pcTqwKBgQDDa2/WVi3G4RmvJnhnnzK2f9AJ+30LzfD5\nPH4DaDW0K6sGMRpMxxxAhtdFsNRsngPhRtHsRCBqJE4eKKIlWP7S6n6pFPTLaUFm\nnEBoUqGNhUMllhQIy4zpI3cNRidDNl4nobbuPgAwZunVIbtnHPAyCwG8G1vDOr2t\nyphEZNuJfwKBgQCZjDP/7tE4URIzljTCKezOK83179RBPKu7f1oCzoOR4EgGh/x2\nhk2t9DeUwb763v1skvyxi/GhvPhw8eWMlOrBX49gngfuxQies9NUWcAZRzsdZYrd\nYW3N1u6lF1+SbUllcMJX2RgCWCOu0HpGqe2o2bsVX1RY+4T7UATmUR6zNwKBgQCq\nGRlG0sqTwxnNKEpDwAGvcv9NwRbuMHshJrN1Gb8tLZl3EUSYMfP4gqZc5fdw9/Xe\nn/tXkVE5spJAlBPXOGjOhAht+my9pceknjs90zcF7UouLD0SDsN/pzwYVMkWKvu3\nuX52T4dwmhPNTchGj5zPol8HMjUkcTvrS15Qog2p1wKBgDeMCvDgnM0zKLqtJFj/\n2Y35WMitsv7QB053nNizPqrVb2wRkfxnaTS+o1hwaCyA809Kb59h/BdWo55NGNQ7\n8VnZlwtf4ZvcxOgB63jwKsBUSeieqCMdRAJfQxK+kjnC2Z/zdW7Dd8WmJlb5Hk8n\nJ51ArjBGT3z1yLu9Zy2fNaDv\n-----END PRIVATE KEY-----\n",
  "client_email": "jignesh@voltaic-reducer-360104.iam.gserviceaccount.com",
  "client_id": "112706139212215109077",
  "auth_uri": "https://accounts.google.com/o/oauth2/auth",
  "token_uri": "https://oauth2.googleapis.com/token",
  "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
  "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/jignesh%40voltaic-reducer-360104.iam.gserviceaccount.com"
}', true ),
			'projectId'	 => $projectId,
		];

		$storageClient = new StorageClient( $config );

		$bucket = $storageClient->bucket( $bucketName );

		parent::$adapter = new GoogleCloudStorageAdapter( $bucket );

		return true;
	}

}
