<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\Headers;

use WP_Error;
use GuzzleHttp\Client;
use GuzzleHttp\Exception\ClientException;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class GuzzleHttp {

	
	public static function get( $uri ) {

		$client = new Client( );

		try {
			$request = $client->request(
				'GET',
				$uri,
				[
					'verify'		 => Base::SSL_Verify,
					'timeout'		 => Base::Timeout,
					'stream'		 => true,
					'allow_redirects'	 => [
						'max' => Base::Redirection
					],
				]
			);

			return self::getHeaders( $request );
		} catch ( ClientException $request ) {

			return self::getHeaders( $request->getResponse() );
		} catch ( \Exception $e ) {

			return new WP_Error( 'wpieError', $e->getMessage() );
		}
	}

	
	private static function getHeaders( $responce ) {

		if ( $responce->getStatusCode() !== 200 ) {
			return new WP_Error( 'wpieError', $responce->getReasonPhrase() );
		}

		$headers = $responce->getHeaders();

		return [
			'content-type'		 => isset( $headers[ 'Content-Type' ] ) ? $headers[ 'Content-Type' ] : "",
			'content-disposition'	 => isset( $headers[ 'content-disposition' ] ) ? $headers[ 'content-disposition' ] : ""
		];
	}

}
