<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Image\Source;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Image\Title;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Image\Caption;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Image\AltText;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Image\Description;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Image\RenameFile;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Image\Options;

defined( 'WPIE__FILE__' ) || exit;


class Image implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "label"  => __( 'Image', 'wp-import-export' ),
                        "class"  => "wpie-image-fields",
                        "uid"    => Helper::randStr( "wpie-block-" ),
                        "order"  => 20,
                        "blocks" => [
                                "images/options"     => Options::getBlocks(),
                                "images/source"      => Source::getBlocks(),
                                "images/title"       => Title::getBlocks(),
                                "images/caption"     => Caption::getBlocks(),
                                "images/alttext"     => AltText::getBlocks(),
                                "images/description" => Description::getBlocks(),
                                "images/rename"      => RenameFile::getBlocks(),
                                
                        ]
                ];

                
                return \apply_filters( 'Wpie/Import/Base/Fields/Image', $fields, Settings::get( 'content_type' ) );
        }

}
