<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function processField( $field = '' ) {

                static::updateStandard( $field );

                static::updatePost( $field );

                static::updateParent( $field );

                static::updateAuthor( $field );

                static::updateExtra( $field );
        }

        
        protected static function updateStandard( $field = "" ) {

                $fields = [
                        'content'  => 'content',
                        'type'     => 'type',
                        'date'     => 'date',
                        'dategmt'  => 'date_gmt',
                        'approved' => 'approved',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updatePost( $field = "" ) {

                $fields = [
                        'posttitle' => 'title',
                        'postslug'  => 'slug',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::updateField( 'post/' . $fields[ $field ] . '/data', $field );

                static::updateList( 'post/post_data' );
        }

        
        protected static function updateParent( $field = "" ) {

                $fields = [
                        'parentcontent' => 'content',
                        'parentdate'    => 'date',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::updateField( 'parent/' . $fields[ $field ] . '/data', $field );

                static::updateList( 'standard/parent' );
        }

        
        protected static function updateAuthor( $field = "" ) {

                $fields = [
                        'authorname'  => 'name',
                        'authoremail' => 'email',
                        'authorurl'   => 'url',
                        'authorip'    => 'ip',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'author/' . $fields[ $field ], $field );
        }

        
        protected static function updateExtra( $field = "" ) {

                $fields = [
                        'karma'     => 'karma',
                        'agent'     => 'agent',
                        'useremail' => 'user_id',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'extra/' . $fields[ $field ], $field );
        }
}
