<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\AutoSearch;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Comment\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Search {

        
        public static function try() {

                $comments = self::tryPostAndAuthor();

                if ( 0 === $comments ) {
                        return 0;
                }

                $ids = self::tryDateAndContent( $comments );

                if ( 0 === $ids ) {
                        return $comments;
                }
        }

        
        private static function tryPostAndAuthor() {

                $postId = Data::getPost();

                $author = Data::getAuthor();

                if ( ( false === $postId || $postId < 1 ) && !Helper::isNonEmptyStr( $author ) ) {
                        return false;
                }

                $query = ( false === $postId || $postId < 1 ) ? '' : DB::wpdb()->prepare( '`comment_post_ID` = %d', $postId );

                $query .= (false === $author ) ? '' : ($query === '' ? '' : ' AND ') . DB::wpdb()->prepare( '`comment_author_email` = %s', $author );

                return self::runQuery( $query );
        }

        
        private static function tryDateAndContent( $comments = [] ) {

                $content = Data::getContent();

                $date = Data::getDate();

                if ( !Helper::isNonEmptyStr( $content ) && !Helper::isNonEmptyStr( $date ) ) {
                        return false;
                }

                $query = Helper::isNonEmptyStr( $content ) ? DB::wpdb()->prepare( '`comment_content` = %s', $content ) : '';
                $query .= Helper::isNonEmptyStr( $date ) ? ($query === '' ? '' : ' OR ') . DB::wpdb()->prepare( '`comment_date_gmt` = %s', $date ) : '';
                $query .= Helper::isNonEmptyStr( $date ) ? ($query === '' ? '' : ' OR ') . DB::wpdb()->prepare( '`comment_date` = %s', $date ) : '';

                if ( Helper::isNonEmptyArray( $comments ) ) {

                        $query = ' ( ' . $query . ' ) AND `comment_ID` IN (' . DB::wpdb()->prepareData( $comments ) . ')';
                }

                return self::runQuery( $query );
        }

        
        private static function runQuery( $query = '' ) {

                if ( !Helper::isNonEmptyStr( $query ) ) {
                        return false;
                }

                $comments = DB::wpdb()->get_results(
                        'SELECT `comment_ID` FROM ' . DB::wpdb()->comments
                        . ' WHERE  ' . $query . ' ORDER BY `ID` ASC',
                        ARRAY_A
                );

                return empty( $comments ) ? 0 : \wp_list_pluck( $comments, 'comment_ID' );
        }
}
