<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\ExistingItemsFields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\ExistingItemsFields\Standard as Base;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends Base {

        
        public static function getFields() {

                $contentType = Settings::getContentLabel();

                return [
                        "type"        => "radio",
                        "order"       => 10,
                        "name"        => "search/method",
                        "class"       => "existing-item-serach-by",
                        "default"     => "auto",
                        /* translators: %s: content type */
                        "description" => sprintf( __( "Search %s on your site based on...", 'wp-import-export' ), $contentType ),
                        "choices"     => [
                                "auto"    => __( "Auto Detect", 'wp-import-export' ),
                                "content" => __( "Content + Date", 'wp-import-export' ),
                                "meta"    => __( "Meta", 'wp-import-export' ),
                                /* translators: %s: content type */
                                "id"      => sprintf( __( "%s ID", 'wp-import-export' ), $contentType ),
                        ],
                        "hints"       => [
                                /* translators: %s: content type */
                                "auto"    => sprintf( __( "Auto Detect %s from mapping and file data", 'wp-import-export' ), $contentType ),
                                /* translators: %s: content type */
                                "content" => sprintf( __( "Search %s by Content + Date", 'wp-import-export' ), $contentType ),
                                /* translators: %s: content type */
                                "id"      => sprintf( __( "Search %s by ID", 'wp-import-export' ), $contentType ),
                                /* translators: %s: content type */
                                "meta"    => sprintf( __( "Search %s by Meta", 'wp-import-export' ), $contentType ),
                        ],
                        "fields"      => [
                                "content" => [
                                        "content" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "content" => [
                                                                "type"        => "textarea",
                                                                "order"       => 10,
                                                                "name"        => "fields/search/content/data",
                                                                "placeholder" => __( "Enter content here...", 'wp-import-export' ),
                                                                "description" => __( 'Leave empty for auto get content value from Field Mapping steps', 'wp-import-export' ),
                                                        ],
                                                        "date"    => [
                                                                "type"        => "textarea",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/content/date",
                                                                "placeholder" => __( "Enter date here...", 'wp-import-export' ),
                                                                "description" => __( 'Leave empty for auto get date value from Field Mapping steps', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "id"      => [
                                        "id" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "as-specified" => [
                                                                "type"        => "textarea",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/id",
                                                                /* translators: %s: content type */
                                                                "placeholder" => sprintf( __( "Enter %s id here...", 'wp-import-export' ), $contentType ),
                                                        //  "description" => __( 'Please Fill id field below', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "meta"    => [
                                        "meta" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "meta-key" => [
                                                                "type"        => "text",
                                                                "order"       => 10,
                                                                "name"        => "fields/search/meta/key",
                                                                "description" => __( 'Please Fill Meta Key field below', 'wp-import-export' ),
                                                        ],
                                                        "meta-val" => [
                                                                "type"        => "text",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/meta/value",
                                                                "description" => __( 'Please Fill Meta Value field below', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }
}
