<?php



namespace WpieApp\Modules\Import\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\Search\Post;
use WpieApp\Modules\Import\Controller\Items\Base\AutoSearch as BaseAutoSearch;

defined( 'WPIE__FILE__' ) || exit;


class AutoSearch extends BaseAutoSearch {

        
        protected static $fields = [
                'title'   => [ [
                                'key'       => 'standard/title/data',
                                'canUpdate' => 'standard/title',
                        ], [
                                'key'           => '{title}',
                                'isMappingData' => false
                        ],
                ],
                'slug'    => [ [
                                'key'       => 'standard/slug/data',
                                'canUpdate' => 'standard/slug',
                        ], [
                                'key'           => '{slug}',
                                'isMappingData' => false
                        ],
                ],
                'content' => [ [
                                'key'       => 'standard/content/data',
                                'canUpdate' => 'standard/content',
                        ], [
                                'key'           => '{content}',
                                'isMappingData' => false
                        ],
                ],
                'id'      => [ [
                                'key'           => 'search/id',
                                'isMappingData' => true,
                                'options'       => [
                                        'is_int'     => true,
                                        'conditions' => [ 'positive_number_only' ]
                                ]
                        ],
                ]
        ];

        
        protected static $postType = '';

        
        public static function get( $field = '', $options = [] ) {

                $postType = isset( $options[ 'postType' ] ) ? $options[ 'postType' ] : '';

                if ( !Helper::isNonEmptyStr( $postType ) ) {
                        return 0;
                }

                self::$postType = $postType;

                return parent::get( $field, $options );
        }

        
        protected static function runQuery( $args = [] ) {

                $options = [
                        'limit' => 2
                ];

                $query = [
                        [ "args" => $args ],
                        [ "args" => [ [ "key" => 'type', "value" => self::$postType ] ] ],
                ];

                return Post::Search( $query, $options );
        }
}
