<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\ExistingItemsFields;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\ExistingItemsFields\Standard as Base;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends Base {

        
        public static function getFields() {

                $contentType = Settings::getTaxonomyLabel();

                return [
                        "type"        => "radio",
                        "order"       => 10,
                        "name"        => "search/method",
                        "class"       => "existing-item-serach-by",
                        "default"     => "auto",
                        /* translators: %s: content type */
                        "description" => sprintf( __( "Search %s on your site based on...", 'wp-import-export' ), $contentType ),
                        "choices"     => [
                                "auto" => __( "Auto Detect", 'wp-import-export' ),
                                "name" => __( "Name", 'wp-import-export' ),
                                "slug" => __( "Slug", 'wp-import-export' ),
                                "meta" => __( "Meta", 'wp-import-export' ),
                                /* translators: %s: content type */
                                "id"   => sprintf( __( "%s ID", 'wp-import-export' ), $contentType ),
                        ],
                        "hints"       => [
                                /* translators: %s: content type */
                                "auto" => sprintf( __( "Auto Detect %s from mapping and file data", 'wp-import-export' ), $contentType ),
                                /* translators: %s: content type */
                                "name" => sprintf( __( "Search %s by Name", 'wp-import-export' ), $contentType ),
                                /* translators: %s: content type */
                                "slug" => sprintf( __( "Search %s by Slug", 'wp-import-export' ), $contentType ),
                                /* translators: %s: content type */
                                "id"   => sprintf( __( "Search %s by ID", 'wp-import-export' ), $contentType ),
                                /* translators: %s: content type */
                                "meta" => sprintf( __( "Search %s by Meta", 'wp-import-export' ), $contentType ),
                        ],
                        "fields"      => [
                                "name" => [
                                        "name" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "name" => [
                                                                "type"        => "textarea",
                                                                "order"       => 10,
                                                                "name"        => "fields/search/name",
                                                                /* translators: %s: content type */
                                                                "placeholder" => sprintf( __( "Enter %s name here...", 'wp-import-export' ), $contentType ),
                                                                /* translators: %s: content type */
                                                                "description" => sprintf( __( 'Leave empty for auto get %s name value from Field Mapping steps', 'wp-import-export' ), $contentType ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "slug" => [
                                        "slug" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "slug" => [
                                                                "type"        => "textarea",
                                                                "order"       => 10,
                                                                "name"        => "fields/search/slug",
                                                                /* translators: %s: content type */
                                                                "placeholder" => sprintf( __( "Enter %s slug here...", 'wp-import-export' ), $contentType ),
                                                                /* translators: %s: content type */
                                                                "description" => sprintf( __( 'Leave empty for auto get %s slug value from Field Mapping steps', 'wp-import-export' ), $contentType ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "id"   => [
                                        "id" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "as-specified" => [
                                                                "type"        => "textarea",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/id",
                                                                /* translators: %s: content type */
                                                                "placeholder" => sprintf( __( "Enter %s id here...", 'wp-import-export' ), $contentType ),
                                                        //  "description" => __( 'Please Fill id field below', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "meta" => [
                                        "post_meta" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "meta-key" => [
                                                                "type"        => "text",
                                                                "order"       => 10,
                                                                "name"        => "fields/search/meta/key",
                                                                "description" => __( 'Please Fill Meta Key field below', 'wp-import-export' ),
                                                        ],
                                                        "meta-val" => [
                                                                "type"        => "text",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/meta/value",
                                                                "description" => __( 'Please Fill Meta Value field below', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

        
        public static function getNotes() {

                
                return \array_merge( parent::getNotes(),
                        [
                                [
                                        "type"       => "danger",
                                        "icon-class" => "fa-solid fa-triangle-exclamation",
                                        "class"      => 'me-3',
                                        "text"       => __( 'If fields like name is repeated and non-unique, skip auto-detect', 'wp-import-export' ),
                                ]
                        ]
                );
        }
}
