<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Role {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Role', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"          => sprintf( __( '%s Role', 'wp-import-export' ), $contentType ),
                        "order"         => 40,
                        "isRecommended" => true,
                        "fields"        => [
                                "item-role" => [
                                        "order"      => 10,
                                        /* translators: %s: content type */
                                        "label"      => sprintf( __( '%s Role', 'wp-import-export' ), $contentType ),
                                        "sub-fields" => [
                                                "role"           => [
                                                        "order"       => 5,
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s Role', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/role/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : subscriber', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Supports multiple roles', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "multiple-roles" => [
                                                        "order"       => 10,
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'Multiple Roles separate by', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/role/separator",
                                                        "type"        => "textarea",
                                                        "value"       => ",",
                                                        "hint"        => [
                                                                [ "text" => __( 'optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'default : ,(comma)', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
