<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Search;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Search\Base;

defined( 'WPIE__FILE__' ) || exit;


class User extends Base {

        
        protected static function init() {

                // Used to filter values.
                self::$allowedKeys = [ 'login', 'username', 'pass', 'nicename', 'email', 'url', 'registered', 'activation_key', 'status', 'display_name', 'id' ];

                self::$dbTable = DB::wpdb()->users;
                
                self::$prefix = Helper::randStr( 'users_' );
        }

        
        protected static function fixKey( $key = "" ) {

                if ( !Helper::isNonEmptyStr( $key ) ) {
                        return "";
                }

                $key = Helper::sanitizeKey( $key );

                if ( 'username' === $key ) {
                        return "user_login";
                }
                if ( 'password' === $key ) {
                        return "user_pass";
                }
                if ( 'display_name' === $key ) {
                        return "display_name";
                }
                if ( Helper::contains( $key, 'id' ) ) {
                        return "ID";
                }

                if ( in_array( $key, self::$allowedKeys ) ) {
                        return "user_" . $key;
                }

                $newKey = "";

                foreach ( self::$allowedKeys as $field ) {
                        if ( Helper::contains( $key, $field ) ) {
                                $newKey = "user_" . $field;
                                break;
                        }
                }

                return $newKey;
        }

}
